Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.galaxy
Class GalaxyAdaptor.LinkedImageResult

    java.lang.Object
      de.jstacs.AnnotatedEntity
          de.jstacs.results.Result
              de.jstacs.results.ImageResult
                  de.jstacs.utils.galaxy.GalaxyAdaptor.LinkedImageResult

All Implemented Interfaces:
  Storable

Enclosing class:
  GalaxyAdaptor

    public static class GalaxyAdaptor.LinkedImageResult

extends ImageResult

Class for an `ImageResult` that is linked to a file that can be downloaded.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.AnnotatedEntity
`comment, datatype, name`

Constructor Summary
`GalaxyAdaptor.LinkedImageResult(StringBuffer xml)` Creates a new `GalaxyAdaptor.LinkedImageResult` from its XML-representation
`GalaxyAdaptor.LinkedImageResult(String name, String comment, BufferedImage image, GalaxyAdaptor.FileResult link)` Create a new `ImageResult` with linked `GalaxyAdaptor.FileResult` `link`

Method Summary
`protected void` | `appendFurtherInfos(StringBuffer sb)` This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).
`protected void` | `extractFurtherInfos(StringBuffer representation)` This method can be used in the constructor with parameter `StringBuffer` to extract the further information.
`GalaxyAdaptor.FileResult` | `getLink()` Returns the linked file
`String` | `getXMLTag()` This method returns a tag used as outer tag of the XML description.

Methods inherited from class de.jstacs.results.ImageResult
`getValue, toString`

Methods inherited from class de.jstacs.results.Result
`checkDatatype, createResult, isCastableResult, isComparableResult`

Methods inherited from class de.jstacs.AnnotatedEntity
`getComment, getDatatype, getName, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GalaxyAdaptor.LinkedImageResult

    public GalaxyAdaptor.LinkedImageResult(String name,
                                           String comment,
                                           BufferedImage image,
                                           GalaxyAdaptor.FileResult link)

  Create a new `ImageResult` with linked `GalaxyAdaptor.FileResult` `link`

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `image` - the image
    `link` - the linked file

### GalaxyAdaptor.LinkedImageResult

    public GalaxyAdaptor.LinkedImageResult(StringBuffer xml)
                                    throws NonParsableException

  Creates a new `GalaxyAdaptor.LinkedImageResult` from its XML-representation

  Parameters:
    `xml` - the representation
  Throws:
    `NonParsableException` - if xml could not be parsed

Method Detail

### getXMLTag

    public String getXMLTag()

  Description copied from class: `AnnotatedEntity`
  This method returns a tag used as outer tag of the XML description.

  Overrides:
    `getXMLTag` in class `ImageResult`
  Returns:
    a tag used as outer tag of the XML description

### appendFurtherInfos

    protected void appendFurtherInfos(StringBuffer sb)

  Description copied from class: `AnnotatedEntity`
  This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).

  Overrides:
    `appendFurtherInfos` in class `ImageResult`
  Parameters:
    `sb` - a XML representation of the main information as `StringBuffer`
  See Also:
    `Storable.toXML()`

### extractFurtherInfos

    protected void extractFurtherInfos(StringBuffer representation)
                                throws NonParsableException

  Description copied from class: `AnnotatedEntity`
  This method can be used in the constructor with parameter `StringBuffer` to extract the further information.

  Overrides:
    `extractFurtherInfos` in class `ImageResult`
  Parameters:
    `representation` - a XML represenation of the main information as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `AnnotatedEntity.AnnotatedEntity(StringBuffer)`

### getLink

    public GalaxyAdaptor.FileResult getLink()

  Returns the linked file

  Returns:
    the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD